Package com.sun.mail.smtp

## Class SMTPAddressSucceededException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.mail.MessagingException
      - - com.sun.mail.smtp.SMTPAddressSucceededException

All Implemented Interfaces:
  `java.io.Serializable`

    public class SMTPAddressSucceededException
    extends MessagingException

This exception is chained off a SendFailedException when the `mail.smtp.reportsuccess` property is true. It indicates an address to which the message was sent. The command will be an SMTP RCPT command and the return code will be the return code from that command.

Since:
  JavaMail 1.3.2
See Also:
  Serialized Form

### Field Summary

Fields
`protected InternetAddress` `addr`
`protected java.lang.String` `cmd`
`protected int` `rc`

### Constructor Summary

Constructors
`SMTPAddressSucceededException​(InternetAddress addr, java.lang.String cmd, int rc, java.lang.String err)` Constructs an SMTPAddressSucceededException with the specified address, return code, and error string.

### Method Summary

All Methods Instance Methods Concrete Methods
`InternetAddress` `getAddress()` Return the address that succeeded.
`java.lang.String` `getCommand()` Return the command that succeeded.
`int` `getReturnCode()` Return the return code from the SMTP server that indicates the reason for the success.

### Methods inherited from class javax.mail.MessagingException

`getCause, getNextException, setNextException, toString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### addr

    protected InternetAddress addr

#### cmd

    protected java.lang.String cmd

#### rc

    protected int rc

### Constructor Detail

#### SMTPAddressSucceededException

    public SMTPAddressSucceededException​(InternetAddress addr,
                                         java.lang.String cmd,
                                         int rc,
                                         java.lang.String err)

Constructs an SMTPAddressSucceededException with the specified address, return code, and error string.

Parameters:
  `addr` - the address that succeeded
  `cmd` - the command that was sent to the SMTP server
  `rc` - the SMTP return code indicating the success
  `err` - the error string from the SMTP server

### Method Detail

#### getAddress

    public InternetAddress getAddress()

Return the address that succeeded.

Returns:
  the address

#### getCommand

    public java.lang.String getCommand()

Return the command that succeeded.

Returns:
  the command

#### getReturnCode

    public int getReturnCode()

Return the return code from the SMTP server that indicates the reason for the success. See RFC 821 for interpretation of the return code.

Returns:
  the return code